#!/bin/sh
#
#	We analyse the data with R.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2016/06/22 11:34:16 $
#-------------------------------------------------
if test $# -ne 0
then
	echo "Usage: $0"
	exit
fi
#
#	Uncover whichever one we are measuring the slope of.
#
CCDF=cdf_c_ti.dat
#-------------------------------------------------
#	Extract the x and y vectors from the flat bit over 3 decades
#
cat	$CCDF \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 200.0 && $1 < 200000.0 ) print log($1);}'	\
	> ti_uni_x.txt
cat	$CCDF \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 200.0 && $1 < 200000.0 ) print log($2);}'	\
	> ti_uni_y.txt

Rscript	plot_tail_ti.R			> plot_tail_ti.dat
#-------------------------------------------------
