#!/bin/sh
#	Makes the homogeneous distribution plots.
#-------------------------------------------------
GENDIR=./

ALPHA=-0.001
BETA=2.0

rm -f srinivas.dat
#
#	Pure power-law (Stirling)
#
echo "#x,y"												>> 	srinivas.dat
$GENDIR/homogeneous.pl	-mode ramanujan -alpha $ALPHA -beta $BETA	>>	srinivas.dat
echo 													>> 	srinivas.dat
echo 													>> 	srinivas.dat
#
#	Ramanujan correction.
#
echo "#x,y"												>> 	srinivas.dat
$GENDIR/homogeneous.pl	-mode stirling -alpha $ALPHA -beta $BETA	>>	srinivas.dat
echo 													>> 	srinivas.dat
echo 													>> 	srinivas.dat
#
#	Exact correction in tail.
#
echo "#x,y"												>> 	srinivas.dat
$GENDIR/homogeneous.pl	-mode exact -alpha $ALPHA -beta $BETA		>>	srinivas.dat
echo 													>> 	srinivas.dat
echo 													>> 	srinivas.dat

cat	srinivas.gnu \
	| sed 's/AAAA/'"${ALPHA}"'/g' \
	| sed 's/BBBB/'"${BETA}"'/g'			> temp$$.gnu

gnuplot 	temp$$.gnu

rm	-f	temp$$.gnu

mv srinivas.eps	fig_10.eps

echo "Graph fig_10.eps is now complete."
