#!/bin/sh
#	Make the Trembl and software length distributions.
#
#	Revision:	$Revision: 1.2 $
#	Date:	$Date: 2017/11/11 18:55:11 $
#-------------------------------------------------------
TREMBLPAIRS=trembl_lengths.raw.gz
CPAIRS=c_ti.raw.gz

echo "Preparing individual eps files for Figures 3, 4, 5, 6 ....."
echo "These will only match the paper if the correct downloaded datasets"
echo "are used from 1-downloadDataSets.sh.  Otherwise, they will be"
echo "approximately correct."
echo

if test ! -f normalise
then
#
#	Just in case.
#
	cc -o normalise normalise.c
fi

echo "#x, y"											> trembl_length_pdf.dat
zcat $TREMBLPAIRS	\
	| sort -n | uniq -c | awk '{print $2, $1;}'				>> trembl_length_pdf.dat
echo 												>> trembl_length_pdf.dat

echo "#x, y"											> trembl_length_cdf.dat
zcat $TREMBLPAIRS	\
	| sort -n | uniq -c | ./normalise ccdf 					>> trembl_length_cdf.dat
echo 												>> trembl_length_cdf.dat

echo "#x, y"											> pdf_c_ti.dat
zcat $CPAIRS	\
	| sort -n | uniq -c | awk '{print $2, $1;}'				>> pdf_c_ti.dat
echo 												>> pdf_c_ti.dat

echo "#x, y"											> cdf_c_ti.dat
zcat $CPAIRS	\
	| sort -n | uniq -c | ./normalise ccdf 					>> cdf_c_ti.dat
echo 												>> cdf_c_ti.dat

gnuplot	trembl_length_pdf.gnu
gnuplot	trembl_length_cdf.gnu

gnuplot	pdf_c_ti.gnu
gnuplot	cdf_c_ti.gnu

mv	trembl_length_pdf.eps				fig_3.eps
mv	pdf_c_ti.eps						fig_4.eps
mv	trembl_length_cdf.eps				fig_5.eps
mv	cdf_c_ti.eps						fig_6.eps

echo "Graphs fig_3.eps, fig_4.eps, fig_5.eps and fig_6.eps are now complete."
