#!/bin/sh
#	Generate the CoHSI solution as a pdf and ccdf.
#------------------------------------------------------------
#
TIMAX=2000
OPTP="-f"
./recurN.pl  -beta 0.5 -alpha 6.0 -timax $TIMAX $OPTP	> generateCoHSI.dat
echo											>> generateCoHSI.dat
echo											>> generateCoHSI.dat
#
#	generateCoHSI.dat is in format
#	ti power-law_y  full_y ti
#
#	Make the power-law pdf.
#
cat	generateCoHSI.dat | awk '{print $3,$1;}' | ./normalise 		> cohsi_full_pdf.dat
#
#	Normalise the combined plot on the full solution, argument $3.
#
awk -vsum=$(awk '{ sum += $3 } END { print sum }' generateCoHSI.dat) '{print $1, ($2/sum), ($3/sum), ($4/sum)}' \
	generateCoHSI.dat 	> cohsi_combined_pdf.dat

gnuplot cohsi_full_pdf.gnu
mv	cohsi_full_pdf.eps			fig_8.eps
gnuplot cohsi_combined_pdf.gnu
mv	cohsi_combined_pdf.eps		fig_9.eps

echo "Graphs fig_8.eps and fig_9.eps are now complete."
