#!/bin/sh
#	Make any length distribution
#
#-------------------------------------------------------

if test $# -ne 2
then
	echo "Usage: $0 [.gz Text file of lengths, one per line] [Length|Duration|Rank]"
	exit
fi

LENGTHS=$1
XLABEL=$2
#
#	Strip unknown suffix.
#
LNAME=${LENGTHS%.*}

if test ! -f $LENGTHS
then
	echo "File NOT found - $LENGTHS"
	exit
fi

NORMALISE=./normalise

echo "#x, y"											> lengths_ccdf.dat
zcat $LENGTHS	| sort -n | uniq -c | $NORMALISE ccdf 			>> lengths_ccdf.dat
echo 												>> lengths_ccdf.dat
echo 												>> lengths_ccdf.dat

cat lengths_ccdf.gnu | sed 's/XLABEL/'"${XLABEL}"'/g'			> temp$$.gnu
gnuplot	temp$$.gnu
rm -f temp$$.gnu
