#!/bin/sh
#
#	Copyright Les Hatton, 2019-.
#	Released under the GNU GPL.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2019/06/12 23:44:57 $
#-------------------------------------------------

if test $# -ne 1
then
	echo "Usage: $0 [1=C Hetero Soft|2=C Homo Soft|3=Trembl Hetero|4=Trembl Homo|5=Music Homo]"
	exit
fi

opt=$1

if test "$opt" -eq 1
then
	DAT="pdf_c_ti.dat"

	cat	$DAT \
		| grep -v "^#" \
		| grep -v "^$" \
		| awk '{if ( $1 > 500.0) print $2;}'	\
		| sort -rn \
		| awk 'BEGIN{j=0;}{print ++j,$1;}'	\
		> length_powerlawtest.txt

	PLOTFILE="c_hetero_powerlaw.pdf"
	BINRANGE=10000
	FITRANGE=10000
	BREAKS=100
elif test "$opt" -eq 2
then
	DAT="pdf_c_ti.dat"

	cat	$DAT \
		| grep -v "^#" \
		| grep -v "^$" \
		| awk '{print $2;}'	\
		| sort -rn \
		| awk 'BEGIN{j=0;}{print ++j,$1;}'	\
		> length_powerlawtest.txt
	PLOTFILE="c_homo_powerlaw.pdf"
	BINRANGE=100000
	FITRANGE=100000
	BREAKS=100
elif test "$opt" -eq 3
then
	DAT="trembl_length_pdf.dat"

	cat	$DAT \
		| grep -v "^#" \
		| grep -v "^$" \
		| awk '{if ( $1 > 500.0) print $2;}'	\
		| sort -rn \
		| awk 'BEGIN{j=0;}{print ++j,$1;}'	\
		> length_powerlawtest.txt

	PLOTFILE="trembl_hetero_powerlaw.pdf"
	BINRANGE=200000
	FITRANGE=200000
	BREAKS=100
elif test "$opt" -eq 4
then
	DAT="trembl_length_pdf.dat"

	cat	$DAT \
		| grep -v "^#" \
		| grep -v "^$" \
		| awk '{print $2;}'	\
		| sort -rn \
		| awk 'BEGIN{j=0;}{print ++j,$1;}'	\
		> length_powerlawtest.txt
	PLOTFILE="trembl_homo_powerlaw.pdf"
	BINRANGE=600000
	FITRANGE=600000
	BREAKS=100
elif test "$opt" -eq 5
then
	DAT="unique_alphabets.dat"

	cat	$DAT \
		| grep -v "^#" \
		| grep -v "^$" \
		| awk '{if ( $1 != 0 ) print $1,$2;}'	\
		> length_powerlawtest.txt
	PLOTFILE="music_homo_powerlaw.pdf"
	BINRANGE=1000
	FITRANGE=1000
	BREAKS=100
fi
#-------------------------------------------------
echo "=========================================="		> fig11-13_R.dat
echo `date`									>> fig11-13_R.dat
echo "Opt $opt"								>> fig11-13_R.dat
echo "DAT $DAT"								>> fig11-13_R.dat
echo "BINRANGE $BINRANGE"						>> fig11-13_R.dat
echo "FITRANGE $FITRANGE"						>> fig11-13_R.dat
echo "BREAKS $BREAKS"							>> fig11-13_R.dat
Rscript	lengths_analysis.R	$BINRANGE $FITRANGE		>> fig11-13_R.dat
Rscript	powerlaw_test.R	$BREAKS				>> fig11-13_R.dat
#-------------------------------------------------
